<?php
	require_once 'Crypt/RSA.php';
	$RSA = new Crypt_RSA();
	$RSA->setEncryptionMode(CRYPT_RSA_ENCRYPTION_PKCS1);
	$data = create_public_key();
	extract($data);
	
	echo $publickey;
	echo $privatekey;
	echo $t = encrypt('Omid');
	echo decrypt($t);
	
	function create_public_key($size = 1024) {
		return $RSA->createKey($size);
	}
		
	function encrypt($publickey,$data) {
		$RSA->loadKey($publickey);
		$ciphertext = $RSA->encrypt($data);
		return $ciphertext;
	}
		
	function decrypt($privatekey,$data) {
		$RSA->loadKey($privatekey);
		$ciphertext = $RSA->decrypt($data);
		return $ciphertext;
	}
		
?>