<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
			
	class RSA {
		
		var $RSA;
		
		function RSA() {
			require_once str_replace("\\","/",APPPATH).'libraries/Crypt/RSA.php';
			$this->RSA = new Crypt_RSA();
			$this->RSA->setEncryptionMode(CRYPT_RSA_ENCRYPTION_PKCS1);
		}
		
		function create_public_key($size = 1024) {
			return $this->RSA->createKey($size);
		}
		
		function encrypt($publickey,$data) {
			$this->RSA->loadKey($publickey);
			$ciphertext = $this->RSA->encrypt($data);
			return $ciphertext;
		}
		
		function decrypt($privatekey,$data) {
			$this->RSA->loadKey($privatekey);
			$ciphertext = $this->RSA->decrypt($data);
			return $ciphertext;
		}
		
	}
?>